%define module matplotlib
# the default backend; one of GTK GTKAgg GTKCairo GTK3Agg GTK3Cairo
# CocoaAgg MacOSX Qt4Agg Qt5Agg TkAgg WX WXAgg Agg Cairo GDK PS PDF SVG
%global backend                 TkAgg

Summary:	Python 2D plotting library
Name:		python3-%{module}
Version:	1.5.1
Release:	4
License:	Python license
Group:		Development/Python
Url:		http://matplotlib.sourceforge.net/
#Modified Sources to remove the one undistributable file
Source0:	matplotlib-%{version}-without-extern.tar.xz
Source1:	setup.cfg
Patch0:		20_matplotlibrc_path_search_fix.patch
Patch1:		70_bts720549_try_StayPuft_for_xkcd.patch
%if %{with html}
BuildRequires:	graphviz
BuildRequires:	ipython
BuildRequires:	python3-docutils
BuildRequires:	python3-sphinx
BuildRequires:	texlive
%endif
BuildRequires:	python3-configobj
BuildRequires:	python3-dateutil
BuildRequires:	python3-parsing
BuildRequires:	python3-pytz
BuildRequires:	python3-qt4
BuildRequires:	python3-setuptools
BuildRequires:	tkinter
BuildRequires:	x11-server-xvfb
BuildRequires:	qhull-devel
BuildRequires:	python3-numpy-devel
BuildRequires:	libwxPythonGTK-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libagg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(zlib)
Requires:	python3-configobj
Requires:	python3-dateutil
Requires:	python3-matplotlib-gtk = %{EVRD}
Requires:	python3-numpy
Requires:	python3-parsing
Requires:	python3-pytz
Obsoletes:	%{name}-emf < 1.5.1
Obsoletes:	%{name}-fltk < 1.5.1

%description
Matplotlib is a python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in python
scripts, the python and ipython shell, web application servers, and
six graphical user interface toolkits.

Matplotlib tries to make easy things easy and hard things possible.
You can generate plots, histograms, power spectra, bar charts,
errorcharts, scatterplots, etc, with just a few lines of code.

%files
%doc doc/README.txt %doc LICENSE/* %doc CHANGELOG
%{py3_platsitedir}/*egg-info
%{py3_platsitedir}/%{module}/
%{py3_platsitedir}/%{module}-*-nspkg.pth
%{py3_platsitedir}/mpl_toolkits/
%{py3_platsitedir}/pylab.py*
%{py3_platsitedir}/__pycache__/pylab*
%exclude %{py3_platsitedir}/%{module}/backends/backend_cairo.py*
%exclude %{py3_platsitedir}/%{module}/backends/backend_gdk.py*
%exclude %{py3_platsitedir}/%{module}/backends/backend_gtk.py*
%exclude %{py3_platsitedir}/%{module}/backends/backend_gtkagg.py*
%exclude %{py3_platsitedir}/%{module}/backends/backend_gtkcairo.py*
%exclude %{py3_platsitedir}/%{module}/backends/backend_qt4.py*
%exclude %{py3_platsitedir}/%{module}/backends/backend_qt4agg.py*
%exclude %{py3_platsitedir}/%{module}/backends/backend_svg.py*
%exclude %{py3_platsitedir}/%{module}/backends/backend_tkagg.py*
%exclude %{py3_platsitedir}/%{module}/backends/tkagg.py*
%exclude %{py3_platsitedir}/%{module}/backends/backend_wx.py*
%exclude %{py3_platsitedir}/%{module}/backends/backend_wxagg.py*

#----------------------------------------------------------------------------

%package cairo
Summary:	Cairo backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{EVRD}
Requires:	python3-cairo >= 1.2.0

%description cairo
This package contains the Cairo backend for matplotlib.

%files cairo
%{py3_platsitedir}/%{module}/backends/backend_cairo.py*

#----------------------------------------------------------------------------

%package gtk
Summary:	GDK and GTK backends for matplotlib
Group:		Development/Python
Requires:	%{name} = %{EVRD}
Requires:	pygtk2.0 >= 2.4.0
Requires:	%{name}-cairo = %{EVRD}

%description gtk
This package contains the GDK and GTK backends for matplotlib.

%files gtk
%{py3_platsitedir}/%{module}/backends/backend_gdk.py*
%{py3_platsitedir}/%{module}/backends/backend_gtk.py*
%{py3_platsitedir}/%{module}/backends/backend_gtkagg.py*
%{py3_platsitedir}/%{module}/backends/backend_gtkcairo.py*

#----------------------------------------------------------------------------

%package qt4
Summary:	Qt backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{EVRD}
Requires:	python3-qt4

%description qt4
This package contains the Qt4 backend for matplotlib.

%files qt4
%{py3_platsitedir}/%{module}/backends/backend_qt4.py*
%{py3_platsitedir}/%{module}/backends/backend_qt4agg.py*

#----------------------------------------------------------------------------

%package svg
Summary:	SVG backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{EVRD}
Requires:	python

%description svg
This package contains the SVG backend for matplotlib.

%files svg
%{py3_platsitedir}/%{module}/backends/backend_svg.py*

#----------------------------------------------------------------------------

%package tk
Summary:	Tk backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{EVRD}
Requires:	tkinter

%description tk
This package contains the Tk backend for matplotlib.

%files tk
%{py3_platsitedir}/%{module}/backends/backend_tkagg.py*
%{py3_platsitedir}/%{module}/backends/tkagg.py*

#----------------------------------------------------------------------------

%package wx
Summary:	WxPython backend for matplotlib
Group:		Development/Python
Requires:	%{name} = %{EVRD}
Requires:	wxPython

%description wx
This package contains the wxPython backend for matplotlib.

%files wx
%{py3_platsitedir}/%{module}/backends/backend_wx.py*
%{py3_platsitedir}/%{module}/backends/backend_wxagg.py*

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation for matplotlib
Group:		Development/Python
BuildArch:	noarch

%description doc
This package contains documentation and sample code for matplotlib.

%files doc
%doc examples/ CHANGELOG doc/README.txt
%if %{with html}
%doc doc/build/html/*
%endif

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-%{version}
%apply_patches

# Copy setup.cfg to the builddir
#sed 's/\(backend = \).*/\1%{backend}/' >setup.cfg <%{SOURCE1}
sed 's/\(backend = \).*/\1%{backend}/' >setup.cfg <%{SOURCE1}

chmod -x lib/matplotlib/mpl-data/images/*.svg

%build
PYTHONDONTWRITEBYTECODE=  xvfb-run python3 setup.py build

%install
PYTHONDONTWRITEBYTECODE=  python3 setup.py install --skip-build --root=%{buildroot}
chmod +x %{buildroot}%{py3_platsitedir}/matplotlib/dates.py
rm -rf %{buildroot}%{py3_platsitedir}/matplotlib/mpl-data/fonts


%changelog

* Fri May 26 2017 Nemial <negry.m@yandex.ru> 1.5.1-4
- (4c9526c) Release Up


